package com.eactive.eai.rms.bat.statistics.monthly;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

@Repository("batMessageMonthlyDAO")
public class BatMessageMonthlyDAO extends SqlMapClientTemplateDao {

	public HashMap<String, Object> selectListCount(HashMap<String, Object> param) throws Exception {
    	return (HashMap)template.queryForObject("BatMessageMonthly.selectListCount", param);
    }
	
    public List<HashMap<String, Object>> selectByIntfId(HashMap<String,Object> paramMap) throws Exception{
        return this.template.queryForList("BatMessageMonthly.selectByIntfIdMonthly", paramMap);
    }
}
